[arch-commits] Commit in valgrind/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Wed Aug 20 16:18:30 EDT 2008


    Date: Wednesday, August 20, 2008 @ 16:18:30
  Author: jgc
Revision: 9905

Merged revisions 2720-9904 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/valgrind/trunk

........
  r9904 | jgc | 2008-08-20 20:18:19 +0000 (Wed, 20 Aug 2008) | 2 lines
  
  upgpkg: valgrind 3.3.1-2
      Rebuild for glibc 2.8.
........

Modified:
  valgrind/repos/extra-x86_64/	(properties)
  valgrind/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)


Property changes on: valgrind/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /valgrind/trunk:1-2719
   + /valgrind/trunk:1-9904

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-08-20 20:18:19 UTC (rev 9904)
+++ extra-x86_64/PKGBUILD	2008-08-20 20:18:30 UTC (rev 9905)
@@ -3,12 +3,12 @@
 
 pkgname=valgrind
 pkgver=3.3.1
-pkgrel=1
+pkgrel=2
 pkgdesc="A tool to help find memory-management problems in programs"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://valgrind.org/"
-depends=('glibc')
+depends=('glibc>=2.8' 'glibc<2.9')
 source=(http://valgrind.org/downloads/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('0539e2fa4aadb2cd4ca4bba65b1fe8b5')
 options=(!emptydirs)
@@ -20,10 +20,10 @@
   sed -i -e 's:^CFLAGS="-Wno-long-long":CFLAGS="$CFLAGS -Wno-long-long":' configure.in
 
   if [ "${CARCH}" = "x86_64" ]; then
-    ./configure --prefix=/usr --mandir=/usr/share/man --enable-only64bit
+    ./configure --prefix=/usr --mandir=/usr/share/man --enable-only64bit || return 1
   else
-    ./configure --prefix=/usr --mandir=/usr/share/man
+    ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   fi
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${startdir}/pkg install || return 1
 }




More information about the arch-commits mailing list